Bug 539493 - request for update to pyfribidi2 (spec included)
Summary: request for update to pyfribidi2 (spec included)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyfribidi
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-20 11:36 UTC by Muayyad Alsadi
Modified: 2011-01-09 20:58 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-09 20:58:26 UTC


Attachments (Terms of Use)
spec file (2.06 KB, text/plain)
2009-11-20 11:36 UTC, Muayyad Alsadi
no flags Details

Description Muayyad Alsadi 2009-11-20 11:36:27 UTC
Created attachment 372468 [details]
spec file

Description of problem:
fribidi2 provides Arabic shaping/joining
fribidi2 is API/ABI compatible with fribidi
fedora ships fribidi2 calling it fribidi2

the problem is that it ships pyfribidi1

here is a spec to pyfribidi2 which will be called pyfribidi
just like the developer and maintainer of fribidi wants

Additional info:
I used to solve the problem by adding mu.py to tools, now I don't need any change.

this was triggered by a patch to add Arabic support into reportlab
http://two.pairlist.net/pipermail/reportlab-users/2009-November/008962.html
https://www.redhat.com/archives/fedora-devel-list/2009-November/msg01405.html

you may get the rpms/src.rpms for the back-ported fixed reportlab in
http://www.ojuba.org/downloads/updates/3/i386/
http://www.ojuba.org/downloads/updates/3/SRPMS/

Comment 1 Behdad Esfahbod 2009-11-25 23:57:17 UTC
I don't have any comments.  Sounds the right thing to do.

Comment 2 Muayyad Alsadi 2009-11-26 10:52:35 UTC
> fedora ships fribidi2 calling it fribidi2
sorry for the typo in the description above, I guess it's clear from context

fedora ships fribidi2 calling it fribidi

Comment 3 Bug Zapper 2010-03-15 13:16:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Admin XMLRPC Client 2010-11-13 11:10:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2010-12-30 19:00:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Hans de Goede 2011-01-01 10:20:25 UTC
Hi,

This is the new pyfribidi owner. Thanks for reporting this and the specfile. I've prepared an update for pyfribidi moving to the even newer 0.10.0 release.

Regards,

Hans

Comment 7 Fedora Update System 2011-01-01 10:21:19 UTC
pyfribidi-0.10.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pyfribidi-0.10.0-1.fc13

Comment 8 Fedora Update System 2011-01-01 10:21:27 UTC
pyfribidi-0.10.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pyfribidi-0.10.0-1.fc14

Comment 9 Fedora Update System 2011-01-01 20:20:37 UTC
pyfribidi-0.10.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pyfribidi'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pyfribidi-0.10.0-1.fc14

Comment 10 Fedora Update System 2011-01-09 20:58:13 UTC
pyfribidi-0.10.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-01-09 20:58:41 UTC
pyfribidi-0.10.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.